Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.random
Class DistortRandomizer

    java.lang.Object
      org.neuroph.util.random.WeightsRandomizer
          org.neuroph.util.random.DistortRandomizer

    public class DistortRandomizer

extends WeightsRandomizer

This class provides distort randomization technique, which distorts existing weight values using specified distortion factor. Weights are distorted using following formula: newWeightValue = currentWeightValue + (distortionFactor - (random * distortionFactor * 2))

Author:
  Zoran Sevarac

Field Summary

Fields inherited from class org.neuroph.util.random.WeightsRandomizer
`randomGenerator`

Constructor Summary
`DistortRandomizer(double distortionFactor)` Create a new instance of DistortRandomizer with specified distortion factor

Method Summary
`void` | `randomize(NeuralNetwork neuralNetwork)` Iterate all layers, neurons and connection weight and apply distort randomization

Methods inherited from class org.neuroph.util.random.WeightsRandomizer
`getRandomGenerator, nextRandomWeight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistortRandomizer

    public DistortRandomizer(double distortionFactor)

  Create a new instance of DistortRandomizer with specified distortion factor

  Parameters:
    `distortionFactor` - amount to distort existing weights

Method Detail

### randomize

    public void randomize(NeuralNetwork neuralNetwork)

  Iterate all layers, neurons and connection weight and apply distort randomization

  Overrides:
    `randomize` in class `WeightsRandomizer`
  Parameters:
    `neuralNetwork` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.